<?php

namespace EventPortal\Domain\Table\DataObjects;

use EventPortal\Domain\Component\Column\Column;

class SimpleColumn
{
    /** @var string */
    public $label;

    /** @var string */
    public $name;

    /** @var mixed */
    public $type;

    /**
     * @var bool
     */
    public $sortable;

    public function __construct(Column $column)
    {
        $this->label = $column->label;
        $this->name = $column->name;
        $this->type = $column->type;
        $this->sortable = $column->sortable;
    }
}
