<?php

namespace EventPortal\Domain\Table\DataObjects;

use EventPortal\Domain\Component\Filter\Filter;

class FilterField
{
    /** @var string */
    public $label;

    /** @var string */
    public $key;

    /** @var array */
    public $options = [];

    /** @var string */
    public $type;

    public function __construct(Filter $filter)
    {
        $this->label = $filter->label;
        $this->key = $filter->name;
        $this->type = $filter->type;
        $this->options = data_get($filter, 'options', []);
    }
}
